curl 'https://api.sandbox.uqpay.org/api/v1/auth/signin' \
-H 'content-type: application/json' \
-H 'x-api-key: a6b0b414c936bc677f83fc48b6b12e7e986e2d8e2be76ff5243566cf5dce17ab' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"auth_token": "c49f455cf2f768140b5e672d0f199b74",
"expired_at": 1696431603
}
}
Auth
Sign in via API
Authenticates and authorizes a user to the UQPAY API. The authentication token is required to make requests to all other endpoints in the UQPAY API. Tokens expire after 10 minutes of inactivity.
POST
/
api
/
v1
/
auth
/
signin
curl 'https://api.sandbox.uqpay.org/api/v1/auth/signin' \
-H 'content-type: application/json' \
-H 'x-api-key: a6b0b414c936bc677f83fc48b6b12e7e986e2d8e2be76ff5243566cf5dce17ab' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"auth_token": "c49f455cf2f768140b5e672d0f199b74",
"expired_at": 1696431603
}
}
Header
string
required
x-client-id.string
required
x-api-keyResponse
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
curl 'https://api.sandbox.uqpay.org/api/v1/auth/signin' \
-H 'content-type: application/json' \
-H 'x-api-key: a6b0b414c936bc677f83fc48b6b12e7e986e2d8e2be76ff5243566cf5dce17ab' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"auth_token": "c49f455cf2f768140b5e672d0f199b74",
"expired_at": 1696431603
}
}